Loading...
Searching...
No Matches
Magick::ResourceLimits Class Reference

## Static Public Member Functions

static void | area (const MagickSizeType limit_)
static MagickSizeType | area (void)
static void | disk (const MagickSizeType limit_)
static MagickSizeType | disk (void)
static void | file (const MagickSizeType limit_)
static MagickSizeType | file (void)
static void | height (const MagickSizeType limit_)
static MagickSizeType | height (void)
static void | listLength (const MagickSizeType limit_)
static MagickSizeType | listLength ()
static void | map (const MagickSizeType limit_)
static MagickSizeType | map (void)
static void | memory (const MagickSizeType limit_)
static MagickSizeType | memory (void)
static void | thread (const MagickSizeType limit_)
static MagickSizeType | thread (void)
static void | throttle (const MagickSizeType limit_)
static MagickSizeType | throttle (void)
static void | width (const MagickSizeType limit_)
static MagickSizeType | width (void)

## Detailed Description

Definition at line 16 of file ResourceLimits.h.

## Constructor & Destructor Documentation

## ResourceLimits()

Magick::ResourceLimits::ResourceLimits | ( | void |  | ) |

private

Definition at line 114 of file ResourceLimits.cpp.

{
}

## Member Function Documentation

## area() [1/2]

void Magick::ResourceLimits::area | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 14 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(AreaResource,limit_);
}

## area() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::area | ( | void |  | ) |

static

Definition at line 19 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(AreaResource));
}

## disk() [1/2]

void Magick::ResourceLimits::disk | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 24 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(DiskResource,limit_);
}

## disk() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::disk | ( | void |  | ) |

static

Definition at line 29 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(DiskResource));
}

## file() [1/2]

void Magick::ResourceLimits::file | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 34 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(FileResource,limit_);
}

## file() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::file | ( | void |  | ) |

static

Definition at line 39 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(FileResource));
}

## height() [1/2]

void Magick::ResourceLimits::height | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 44 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(HeightResource,limit_);
}

## height() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::height | ( | void |  | ) |

static

Definition at line 49 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(HeightResource));
}

## listLength() [1/2]

MagickCore::MagickSizeType Magick::ResourceLimits::listLength | ( | void |  | ) |

static

Definition at line 59 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(ListLengthResource));
}

## listLength() [2/2]

void Magick::ResourceLimits::listLength | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 54 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(ListLengthResource,limit_);
}

## map() [1/2]

void Magick::ResourceLimits::map | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 64 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(MapResource,limit_);
}

## map() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::map | ( | void |  | ) |

static

Definition at line 69 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(MapResource));
}

## memory() [1/2]

void Magick::ResourceLimits::memory | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 74 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(MemoryResource,limit_);
}

## memory() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::memory | ( | void |  | ) |

static

Definition at line 79 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(MemoryResource));
}

## thread() [1/2]

void Magick::ResourceLimits::thread | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 84 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(ThreadResource,limit_);
}

## thread() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::thread | ( | void |  | ) |

static

Definition at line 89 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(ThreadResource));
}

## throttle() [1/2]

void Magick::ResourceLimits::throttle | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 94 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(ThrottleResource,limit_);
}

## throttle() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::throttle | ( | void |  | ) |

static

Definition at line 99 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(ThrottleResource));
}

## width() [1/2]

void Magick::ResourceLimits::width | ( | const MagickSizeType | limit_ | ) |

static

Definition at line 104 of file ResourceLimits.cpp.

{
(void) SetMagickResourceLimit(WidthResource,limit_);
}

## width() [2/2]

MagickCore::MagickSizeType Magick::ResourceLimits::width | ( | void |  | ) |

static

Definition at line 109 of file ResourceLimits.cpp.

{
return(GetMagickResourceLimit(WidthResource));
}

The documentation for this class was generated from the following files:

- ResourceLimits.h
- ResourceLimits.cpp